%define upstream_name    Image-Imlib2
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23

Summary:	Interface to the Imlib2 image library
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Image-Imlib2-2.03-replace-imlib2-config-with-pkg-config.patch

BuildRequires:  pkgconfig(imlib2)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::XSBuilder)
BuildRequires:  perl-devel


%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does image file
loading and saving as well as manipulation, arbitrary polygon support, etc. It
does ALL of these operations FAST. It allows you to create colour images using
a large number of graphics primitives, and output the images in a range of
formats.

Image::Imlib2::Polygon and Image::Imlib2::ColorRange are described following
Image::Imlib2 but may be referenced before their description.

Note that this is an early version of my attempt at a Perl interface to Imlib2.
Currently, the API is just to test things out. Not everything is supported, but
a great deal of functionality already exists. If you think the API can be
tweaked to be a bit more intuitive, drop me a line!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"
rm -r t/simple.t
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CHANGES README META.yml
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image
%{_mandir}/*/*


%changelog
* Fri Dec 01 2023 tv <tv> 2.30.0-23.mga10
+ Revision: 2012335
- Rebuild for perl-5.38

* Sun Feb 26 2023 daviddavid <daviddavid> 2.30.0-22.mga9
+ Revision: 1945558
- add netbsd patch to replace imlib2-config with pkg-config

* Thu Aug 04 2022 tv <tv> 2.30.0-21.mga9
+ Revision: 1875092
- Rebuild for perl-5.36

* Tue Mar 29 2022 umeabot <umeabot> 2.30.0-20.mga9
+ Revision: 1831076
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 2.30.0-19.mga8
+ Revision: 1606980
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 2.30.0-18.mga8
+ Revision: 1508345
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.30.0-17.mga7
+ Revision: 1293202
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.30.0-16.mga7
+ Revision: 1249501
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.30.0-15.mga7
+ Revision: 1164842
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.30.0-14.mga7
+ Revision: 1159098
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-13.mga6
+ Revision: 1028460
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.30.0-12.mga6
+ Revision: 957514
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.30.0-11.mga6
+ Revision: 843159
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.30.0-10.mga5
+ Revision: 742975
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.30.0-9.mga5
+ Revision: 685120
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.30.0-8.mga5
+ Revision: 631298
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.30.0-7.mga4
+ Revision: 524402
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.30.0-6.mga4
+ Revision: 430765
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-5.mga3
+ Revision: 368734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.30.0-4.mga3
+ Revision: 250778
- rebuild for perl 5.16

* Thu Nov 03 2011 fwang <fwang> 2.30.0-3.mga2
+ Revision: 161989
- rebuild for updated perl ldflag

* Sun Jun 12 2011 sander85 <sander85> 2.30.0-2.mga2
+ Revision: 104675
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 30587
- mageia rebuild
- imported package perl-Image-Imlib2

